import dynamix_sdk.base as _base


class CloudapiComputeGuestAgentDisableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeGuestAgentDisableProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def guest_agent_disable(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeGuestAgentDisableResultBool:
        ...
